{
===============================================================================
  Copyright (©) 2005. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 17-01-2005
  Versión actual: 1.0.0
  Fecha versión actual: 17-01-2005
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit PantallaInformesContabilidad;

interface

uses
//Variants, 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, RdxFrame, ExtCtrls, RdxPaneles, RdxBarras, StdCtrls, RdxBotones,
  Entidades, ActnList;

type
  TfrInformesContabilidad = class(TRdxFrame)
    BarraInformes: TRdxBarraSuperior;
    pnlCuerpo: TPanel;
    RdxPanel1: TRdxPanel;
    Panel5: TPanel;
    Panel7: TPanel;
    Image2: TImage;
    Panel8: TPanel;
    Panel9: TPanel;
    RdxBoton1: TRdxBoton;
    Panel10: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Panel11: TPanel;
    imgSombra: TImage;
    Panel27: TPanel;
    Image6: TImage;
    Panel28: TPanel;
    Panel29: TPanel;
    RdxBoton5: TRdxBoton;
    Panel30: TPanel;
    Label11: TLabel;
    Label12: TLabel;
    Panel31: TPanel;
    Acciones: TActionList;
    actListadoCon: TAction;
    actInfEstBeneficios: TAction;
    procedure actListadoConExecute(Sender: TObject);
    procedure actInfEstBeneficiosExecute(Sender: TObject);
  protected
//    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frInformesContabilidad: TfrInformesContabilidad;

implementation

{$R *.dfm}

uses
  Tipos, ListadoContabilidad,
  ListadoFacturasCliPenIVA, ListadoFacturasCli, InformeEstadistico, InformeEstPresupuestos,
  InformeEstBeneficios;

constructor TfrInformesContabilidad.Create(AOwner: TComponent);
begin
  inherited;
//  Entidad := entInformes;
end;

{function TfrInformesCompras.CambiarEntidad(EntidadAnterior, Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;
}
procedure TfrInformesContabilidad.actListadoConExecute(Sender: TObject);
begin
  Contenido := TfrListadoContabilidad.Create(Self);
end;

procedure TfrInformesContabilidad.actInfEstBeneficiosExecute(Sender: TObject);
begin
  Contenido := TfrInformeEstBeneficios.Create(Self);
end;

end.
